# Gnome::GdaUI::DataProxyInfo Class Reference

DataProxyInfo - Shows information and actions about a DataProxy widget. More...

Inherits Gtk::HBox.

Collaboration diagram for Gnome::GdaUI::DataProxyInfo:
[legend]

List of all members.

## Public Member Functions

virtual | ~DataProxyInfo ()
GdauiDataProxyInfo* | gobj ()
| Provides access to the underlying C GtkObject.
const GdauiDataProxyInfo* | gobj () const
| Provides access to the underlying C GtkObject.
| DataProxyInfo (const Glib::RefPtr< DataProxy >& proxy, DataProxyInfoFlag flags)
| Creates a new Gdaui::DataProxyInfo widget suitable to display information about data_proxy.
Glib::PropertyProxy < Glib::RefPtr< DataProxy > > | property_data_proxy ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< DataProxy > > | property_data_proxy () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy < DataProxyInfoFlag > | property_flags ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly < DataProxyInfoFlag > | property_flags () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.

## Related Functions

(Note that these are not member functions.)
Gnome::GdaUI::DataProxyInfo* | wrap (GdauiDataProxyInfo* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

DataProxyInfo - Shows information and actions about a DataProxy widget.

The DataProxyInfo widget is a container widget which, depending on how it is configured:

- Proposes action buttons to change the currently displayed row, add new row, ...
- Displays information about the number of rows in a DataProxy.

## Constructor & Destructor Documentation

virtual Gnome::GdaUI::DataProxyInfo::~DataProxyInfo | ( |  | ) | `[virtual]`

Gnome::GdaUI::DataProxyInfo::DataProxyInfo | ( | const Glib::RefPtr< DataProxy >& | proxy,
|  | DataProxyInfoFlag | flags |
| ) |  |  | `[explicit]`

Creates a new Gdaui::DataProxyInfo widget suitable to display information about data_proxy.

Parameters:

  | flags | OR'ed values, specifying what to display in the new widget.

Returns:
  The new widget

Since libgda-uimm 4.2:

## Member Function Documentation

const GdauiDataProxyInfo* Gnome::GdaUI::DataProxyInfo::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::HBox.

GdauiDataProxyInfo* Gnome::GdaUI::DataProxyInfo::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::HBox.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<DataProxy> > Gnome::GdaUI::DataProxyInfo::property_data_proxy | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::RefPtr<DataProxy> > Gnome::GdaUI::DataProxyInfo::property_data_proxy | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<DataProxyInfoFlag> Gnome::GdaUI::DataProxyInfo::property_flags | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<DataProxyInfoFlag> Gnome::GdaUI::DataProxyInfo::property_flags | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Gnome::GdaUI::DataProxyInfo* wrap | ( | GdauiDataProxyInfo * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- libgda-uimm/dataproxyinfo.h